Classes
Protocols
Constants
Functions
Macros
Types
Variables

### Classes

EOActionAssociation
EOActionCellAssociation
EOActionInsertionAssociation
EOAspectConnector
EOAssociation
EOColumnAssociation
EOComboBoxAssociation
EOControlAssociation
EODetailSelectionAssociation
EODisplayGroup
EOGenericControlAssociation
EOMasterCopyAssociation
EOMasterDetailAssociation
EOMasterPeerAssociation
EOMatrixAssociation
EOPickTextAssociation
EOPopUpAssociation
EORadioMatrixAssociation
EORecursiveBrowserAssociation
EOTableViewAssociation
EOTextAssociation

### Protocols

### Constants

### Functions

### Macros

### Types

### Variables

Up

# EOColumnAssociation documentation

### Authors

David Ayers (`ayers@fsfe.org`)

Date: Generated at 2026-02-03 22:13:20 +0000

Copyright: (C) 2004,2005 Free Software Foundation, Inc.

### Contents -

1. Software documentation for the EOColumnAssociation class
2. Software documentation for the EOTableViewAssociation class

# Software documentation for the EOColumnAssociation class

## EOColumnAssociation : EOAssociation

> Declared in:
>   EOInterface/EOColumnAssociation.h

Description forthcoming.

Instance Variables

### Method summary

- +aspectSignatures
- +aspects
- +displayName
- +isUsableWithObject:
- +objectKeysTaken
- +primaryAspect
- -breakConnection
- -control:didFailToFormatString:errorDescription:
- -control:isValidObject:
- -control:textShouldBeginEditing:
- -endEditing
- -establishConnection
- -initWithObject:
- -setSortingSelector:
- -sortingSelector
- -subjectChanged
- -tableView:objectValueForTableColumn:row:
- -tableView:setObjectValue:forTableColumn:row:
- -tableView:shouldEditTableColumn:row:
- -tableView:willDisplayCell:forTableColumn:row:

### aspectSignatures

+ (NSArray*) aspectSignatures;
Description forthcoming.

### aspects

+ (NSArray*) aspects;
Description forthcoming.

### displayName

+ (NSString*) displayName;
Description forthcoming.

### isUsableWithObject:

+ (BOOL) isUsableWithObject: (id)object;
Description forthcoming.

### objectKeysTaken

+ (NSArray*) objectKeysTaken;
Description forthcoming.

### primaryAspect

+ (NSString*) primaryAspect;
Description forthcoming.

### breakConnection

- (void) breakConnection;
Description forthcoming.

### control: didFailToFormatString: errorDescription:

- (BOOL) control: (NSControl*)control didFailToFormatString: (NSString*)string errorDescription: (NSString*)description;
Description forthcoming.

### control: isValidObject:

- (BOOL) control: (NSControl*)control isValidObject: (id)object;
Description forthcoming.

### control: textShouldBeginEditing:

- (BOOL) control: (NSControl*)control textShouldBeginEditing: (NSText*)fieldEditor;
Description forthcoming.

### endEditing

- (BOOL) endEditing;
Description forthcoming.

### establishConnection

- (void) establishConnection;
Description forthcoming.

### initWithObject:

- (id) initWithObject: (id)object;
Description forthcoming.

### setSortingSelector:

- (void) setSortingSelector: (SEL)selector;
Description forthcoming.

### sortingSelector

- (SEL) sortingSelector;
Description forthcoming.

### subjectChanged

- (void) subjectChanged;
Description forthcoming.

### tableView: objectValueForTableColumn: row:

- (id) tableView: (NSTableView*)tableView objectValueForTableColumn: (NSTableColumn*)tableColumn row: (NSInteger)row;
Description forthcoming.

### tableView: setObjectValue: forTableColumn: row:

- (void) tableView: (NSTableView*)tableView setObjectValue: (id)object forTableColumn: (NSTableColumn*)tableColumn row: (NSInteger)row;
Description forthcoming.

### tableView: shouldEditTableColumn: row:

- (BOOL) tableView: (NSTableView*)tableView shouldEditTableColumn: (NSTableColumn*)tableColumn row: (NSInteger)row;
Description forthcoming.

### tableView: willDisplayCell: forTableColumn: row:

- (void) tableView: (NSTableView*)tableView willDisplayCell: (id)cell forTableColumn: (NSTableColumn*)tableColumn row: (NSInteger)row;
Description forthcoming.

## Instance Variables for EOColumnAssociation Class

### _sortingSelector

@protected SEL _sortingSelector;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

# Software documentation for the EOTableViewAssociation class

## EOTableViewAssociation : EOAssociation

> Declared in:
>   EOInterface/EOColumnAssociation.h

Description forthcoming.

### Method summary

- +aspectSignatures
- +aspects
- +bindToTableView:displayGroup:
- +isUsableWithObject:
- +objectKeysTaken
- +primaryAspect
- -breakConnection
- -control:didFailToFormatString:errorDescription:
- -control:isValidObject:
- -control:textShouldBeginEditing:
- -editingAssociation
- -establishConnection
- -numberOfRowsInTableView:
- -setSortsByColumnOrder:
- -sortsByColumnOrder
- -subjectChanged
- -tableView:objectValueForTableColumn:row:
- -tableView:setObjectValue:forTableColumn:row:
- -tableView:shouldEditTableColumn:row:
- -tableView:willDisplayCell:forTableColumn:row:
- -tableViewSelectionDidChange:

### aspectSignatures

+ (NSArray*) aspectSignatures;
Description forthcoming.

### aspects

+ (NSArray*) aspects;
Description forthcoming.

### bindToTableView: displayGroup:

+ (void) bindToTableView: (NSTableView*)tableView displayGroup: (EODisplayGroup*)displayGroup;
Description forthcoming.

### isUsableWithObject:

+ (BOOL) isUsableWithObject: (id)object;
Description forthcoming.

### objectKeysTaken

+ (NSArray*) objectKeysTaken;
Description forthcoming.

### primaryAspect

+ (NSString*) primaryAspect;
Description forthcoming.

### breakConnection

- (void) breakConnection;
Description forthcoming.

### control: didFailToFormatString: errorDescription:

- (BOOL) control: (NSControl*)control didFailToFormatString: (NSString*)string errorDescription: (NSString*)description;
Description forthcoming.

### control: isValidObject:

- (BOOL) control: (NSControl*)control isValidObject: (id)object;
Description forthcoming.

### control: textShouldBeginEditing:

- (BOOL) control: (NSControl*)control textShouldBeginEditing: (NSText*)fieldEditor;
Description forthcoming.

### editingAssociation

- (EOColumnAssociation*) editingAssociation;
Description forthcoming.

### establishConnection

- (void) establishConnection;
Description forthcoming.

### numberOfRowsInTableView:

- (NSInteger) numberOfRowsInTableView: (NSTableView*)tableView;
Description forthcoming.

### setSortsByColumnOrder:

- (void) setSortsByColumnOrder: (BOOL)flag;
Description forthcoming.

### sortsByColumnOrder

- (BOOL) sortsByColumnOrder;
Description forthcoming.

### subjectChanged

- (void) subjectChanged;
Description forthcoming.

### tableView: objectValueForTableColumn: row:

- (id) tableView: (NSTableView*)tableView objectValueForTableColumn: (NSTableColumn*)tableColumn row: (NSInteger)row;
Description forthcoming.

### tableView: setObjectValue: forTableColumn: row:

- (void) tableView: (NSTableView*)tableView setObjectValue: (id)object forTableColumn: (NSTableColumn*)tableColumn row: (NSInteger)row;
Description forthcoming.

### tableView: shouldEditTableColumn: row:

- (BOOL) tableView: (NSTableView*)tableView shouldEditTableColumn: (NSTableColumn*)tableColumn row: (NSInteger)row;
Description forthcoming.

### tableView: willDisplayCell: forTableColumn: row:

- (void) tableView: (NSTableView*)tableView willDisplayCell: (id)cell forTableColumn: (NSTableColumn*)tableColumn row: (NSInteger)row;
Description forthcoming.

### tableViewSelectionDidChange:

- (void) tableViewSelectionDidChange: (NSNotification*)notification;
Description forthcoming.

Up